# Failure catch

A special block that catches any failure in a subsequent block, preventing the fiber from stopping.

The fiber will proceed immediately without pause.

If a subsequent block cause a failure, the current fiber will retry through the FAIL path for a maximum of retries. Only failures in the current fiber are caught, not in any “child fiber” created by the Fork block.

To stop catching failures, and let the fiber stop on failure, use an Failure catch block with an unconnected FAIL dot.

This block will only catch and retry through the FAIL path for a maximum of retries, any additional failure will cause the fiber to stop. The retry count is reset to zero every time the block is executed through the IN dot. The FAIL path should not go directly to failing block or the IN dot since that would just cause the failure to recur.

## Input arguments

- Retry limit — maximum number of retries, through the FAIL path, before the fiber will stop, default is 3.

## Output variables

- Retry count — variable to assign the number of retries, through the FAIL path, resets to zero at IN.
- Failure block id — variable to assign the id of the failed block.
- Failure type — variable to assign the type of failure.
- Failure message — variable to assign the failure message.